[Zope-dev] Which ZODB to use for both Zope 2.5.1 and 2.6.1 on Python 2.1.3

2003-10-08 Thread Dario Lopez-Kästen
Hello, the subject says it all. I have looked at the ZODB site, but I can't find any conclusive info. Thanks, /dario - Dario Lopez-Kästen, IT Systems Services Chalmers University of Tech.

Re: [Zope-dev] Which ZODB to use for both Zope 2.5.1 and 2.6.1 onPython 2.1.3

2003-10-08 Thread Dario Lopez-Kästen
Also I forgot to mention: this is for a kluster we are setting up, so I need to know what ZEO is recommended for us with Zope 2.5.1 and 2.6.1 with Python 2.1.3. Thanks - Original Message - From: Dario Lopez-Kästen [EMAIL PROTECTED] To: [EMAIL PROTECTED] Sent: Wednesday, October 08, 2003

Re: [Zope-dev] Re: catalogObject changes (Zope-2_6-branch)

2003-10-08 Thread Leonardo Rochael Almeida
On Tue, 2003-10-07 at 21:37, Leonardo Rochael Almeida wrote: On Tue, 2003-10-07 at 16:57, Chris McDonough wrote: OK, I checked in changes on the 2.6, 2.7, and HEAD branches that add an update_metadata keyword argument to Catalog's catalogObject and ZCatalog's catalog_object. The argument

Re: [Zope-dev] Which ZODB to use for both Zope 2.5.1 and 2.6.1 onPython 2.1.3

2003-10-08 Thread Leonardo Rochael Almeida
On Wed, 2003-10-08 at 06:46, Dario Lopez-Kästen wrote: Also I forgot to mention: this is for a kluster we are setting up, so I need to know what ZEO is recommended for us with Zope 2.5.1 and 2.6.1 with Python 2.1.3. I'd say ZODB 3.1.4 from http://zope.org/Products/ZODB3.1/ You have to install

[Zope-dev] Risks with Zope 2.6.2 with Python 2.2.3

2003-10-08 Thread Dario Lopez-Kästen
Hello, following Jeremy Hylton's advice, I would like to ask the developer community: what risks are associated with Zope 2.6.2 with Pythoin 2.2.3? Thank you, /dario - Dario Lopez-Kästen, IT Systems Services Chalmers

Re: [Zope-dev] Risks with Zope 2.6.2 with Python 2.2.3

2003-10-08 Thread Eric Brun
Hello, I try to run Zope2.6.2 and ZODB3.2 with python 2.2.3 but it failed. Then I modified a few ZODB3.2 (remove 'object' inherite on some classes like Connection.py DB.py and some others). I have succed to run ZEO and Zope 2.6.2 on python 2.1.3. Perhaps is not so well, but it's run. Is there

Re: [Zope-dev] Which ZODB to use for both Zope 2.5.1 and 2.6.1 onPython 2.1.3

2003-10-08 Thread Paul Winkler
On Wed, Oct 08, 2003 at 10:27:57AM -0300, Leonardo Rochael Almeida wrote: On Wed, 2003-10-08 at 06:46, Dario Lopez-K?sten wrote: Also I forgot to mention: this is for a kluster we are setting up, so I need to know what ZEO is recommended for us with Zope 2.5.1 and 2.6.1 with Python 2.1.3.

[Zope-dev] Initial ZODB permissions

2003-10-08 Thread Andy McKay
Where is the initial code for setting permissions in the ZODB? It looks like the Copy or Move permission is give to Anonymous by default at ZODB creation in Zope, which is ahem wrong. Cant find the code that sets that up though, can anyone throw me a clue stick that grep can't? Thanks. --

Re: [Zope-dev] Initial ZODB permissions

2003-10-08 Thread Andy McKay
Sure enough as soon as I email the list I remembered permissions can be declared anywhere, one grep more and there it is in CopySupport.py, 385: class CopySource(ExtensionClass.Base): Interface for objects which allow themselves to be copied. # declare a dummy permission for Copy or Move

Re: [Zope-dev] Risks with Zope 2.6.2 with Python 2.2.3

2003-10-08 Thread J. Cameron Cooper
following Jeremy Hylton's advice, I would like to ask the developer community: what risks are associated with Zope 2.6.2 with Pythoin 2.2.3? 1) it doesn't work 2) smallish bugs appear 3) things are unsecured that should be (or the other way 'round) Some people have reported that (1) and (2) are

[Zope-dev] Re: Which version of ZODB and ZEO to use for Zope?

2003-10-08 Thread Dario Lopez-Kästen
Hi again, and thanks for all the replies. Given that we are going to use this to deploy to production within the coming week, we will stick with Python 2.1.3, Zope 2.6.2 and use ZODB 3.1.4. We will wait for Zope 2.7 to stabilise or reach a 2.7.x version before we switch tp Python 2.3.x and ZODB

Re: [Zope-dev] Re: catalogObject changes (Zope-2_6-branch)

2003-10-08 Thread Chris Withers
Leonardo Rochael Almeida wrote: Cool! Can we get some form of 2.6.3 beta out to encourage people not to migrate to 2.6.2? Or maybe a HotFix? This isn't hotfix-related so I'd say no. Would be cool to crank out a 2.6.3 though... Chris ___ Zope-Dev

Re: [Zope-dev] _p_deactivate() and _v_ variables?

2003-10-08 Thread Chris Withers
Casey Duncan wrote: I would argue that a better plan would be to only use _v_ vars for completely disposable data only. The application should expect that this values will be gone at any random time, not just at transaction boundaries. I agree with this. How do we go about find code that uses

Re: [Zope-dev] Re: CVS: Zope/doc/PLATFORMS - BSD.txt:1.1.2.1

2003-10-08 Thread Chris Withers
Jochen Knuth wrote: Way #1: In your Python source directory: Way #2: In your Python source directory: Way #3: Use Python from the ports system (the fixes are there since 06 Feb 2003 ) This might be worth chucking in the collector... Chris ___

Re: [Zope-dev] Initial ZODB permissions

2003-10-08 Thread Chris Withers
Andy McKay wrote: Of course you need to be able to paste... so may not be a huge problem, just looks wrong :) Yeah, wrong but toothless. Feel free to fix on appropriate branches I guess :-) Chris ___ Zope-Dev maillist - [EMAIL PROTECTED]

Re: [Zope-dev] Initial ZODB permissions

2003-10-08 Thread Andy McKay
Yeah, wrong but toothless. Feel free to fix on appropriate branches I guess :-) Well yeah but Im betting its there for a reason, I just dont know what it is yet. Changing that is sure to break something... -- Andy McKay ClearWind Consulting http://www.clearwind.ca